<?php
/* 
Добавляем в файл functions.php
Материалы с сайта: http://wp-admin.com.ua
Статья: http://wp-admin.com.ua/nastroyka-theme-customizer/
*/

function themename_customize_register($wp_customize){
    
    $wp_customize->add_section('themename_color_scheme', array(
        'title'    => __('Color Scheme', 'themename'),
        'priority' => 120,
    ));
	
	$wp_customize->add_setting('themename_theme_options[text_test]', array(
        'default'        => 'wp-admin.com.ua',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('themename_text_test', array(
        'label'      => __('Text Test', 'themename'),
        'section'    => 'themename_color_scheme',
        'settings'   => 'themename_theme_options[text_test]',
    ));
	
	$wp_customize->add_setting( 'themename_theme_options[color_scheme]', array(
		'default'        => 'wp-admin.com.ua',
		'type'           => 'option',
		'capability'     => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'themename_color_scheme', array(
		'label'      => __( 'Color Scheme', 'themename' ),
		'section'    => 'themename_color_scheme',
		'settings'   => 'themename_theme_options[color_scheme]',
		'type'       => 'radio',
		'choices'    => array(
			'value1' => 'Choice 1',
			'value2' => 'Choice 2',
			'value3' => 'Choice 3',
			),
	) );

	 $wp_customize->add_setting('themename_theme_options[header_select]', array(
	'default'        => 'value2',
	'capability'     => 'edit_theme_options',
	'type'           => 'option',

    ));
    $wp_customize->add_control( 'example_select_box', array(
        'settings' => 'themename_theme_options[header_select]',
        'label'   => 'Select Something:',
        'section' => 'themename_color_scheme',
        'type'    => 'select',
        'choices'    => array(
            'value1' => 'Choice 1',
            'value2' => 'Choice 2',
            'value3' => 'Choice 3',
        ),
    ));
 
    $wp_customize->add_setting('themename_theme_options[image_upload_test]', array(
        'default'           => 'image.jpg',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'image_upload_test', array(
        'label'    => __('Image Upload Test', 'themename'),
        'section'  => 'themename_color_scheme',
        'settings' => 'themename_theme_options[image_upload_test]',
    )));
	
	    $wp_customize->add_setting('themename_theme_options[upload_test]', array(
        'default'           => 'arse',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Upload_Control($wp_customize, 'upload_test', array(
        'label'    => __('Upload Test', 'themename'),
        'section'  => 'themename_color_scheme',
        'settings' => 'themename_theme_options[upload_test]',
    )));
	
    $wp_customize->add_setting('themename_theme_options[link_color]', array(
        'default'           => '000',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'link_color', array(
        'label'    => __('Link Color', 'themename'),
        'section'  => 'themename_color_scheme',
        'settings' => 'themename_theme_options[link_color]',
    )));
	
	$wp_customize->get_setting( 'themename_theme_options[text_test]' )->transport = 'postMessage';
	$wp_customize->get_setting( 'themename_theme_options[link_color]' )->transport = 'postMessage';
	if ( $wp_customize->is_preview() && ! is_admin() ) { add_action( 'wp_footer', 'themename_customize_preview', 21); }
	
}
add_action('customize_register', 'themename_customize_register');

function themename_customize_preview() {
    ?>
    <script type="text/javascript">
	( function( $ ) {

		// Update the site title in real time...
		wp.customize( 'themename_theme_options[text_test]', function( value ) {
			value.bind( function( newval ) {
				$( '#logo a' ).html( newval );
			} );
		} );
	 
		//Update site title color in real time...
		wp.customize( 'themename_theme_options[link_color]', function( value ) {
			value.bind( function( newval ) {
				$('a').css('color', newval );
			} );
		} );
		
	} )( jQuery );
    </script>
    <?php 
}